> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yourflexpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get wallet virtual accounts (creates one if none exists)



## OpenAPI

````yaml /openapi/sso.openapi.json get /sso/wallet/v-account
openapi: 3.0.3
info:
  title: Wallet SSO API
  version: 1.0.0
  description: OpenAPI specification for the Wallet service API.
servers:
  - url: https://staging-api.yourflexpay.com/v2
    description: Staging
  - url: https://sandbox-api.yourflexpay.com/v2
    description: Sandbox
  - url: https://api.yourflexpay.com/v2
    description: Live
security:
  - PartnerIdHeader: []
    PartnerApiKeyHeader: []
tags:
  - name: SSO Auth
  - name: SSO Wallet
  - name: SSO Transaction
  - name: SSO Payment Request
  - name: SSO PayTag
  - name: SSO QR
  - name: SSO Beneficiary
paths:
  /sso/wallet/v-account:
    get:
      tags:
        - SSO Wallet
      summary: Get wallet virtual accounts (creates one if none exists)
      responses:
        '200':
          description: Virtual accounts
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WalletStaticVirtualAccount'
      security:
        - ClientIdHeader: []
          ApiKeyHeader: []
          BearerAuth: []
components:
  schemas:
    WalletStaticVirtualAccount:
      type: object
      additionalProperties: true
  securitySchemes:
    ClientIdHeader:
      type: apiKey
      in: header
      name: x-client-id
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````